.**********************************************************
.*
.* IPscan Tagging
.*
.**********************************************************
.*
:userdoc.
:docprof toc=3.
:ctrldef.
:ctrl ctrlid=ctrl01 controls='SEARCH PRINT CONTENTS ESC BACK FORWARD'.
:ectrldef.
:title.IPscan

.*
.**********************************************************
.*
:h1 res=100.Description of IPscan program

Program :hp2.IPscan:ehp2. scans TCP/IP network by issuing ARP Request packets
(used for Local Area Networks only, your computer is connected to) and by
issuing ICMP Echo Request (:hp2.PING:ehp2.) packets.

:p.
Additionally :hp2.IPscan:ehp2. can:
:ul compact.
:li.save the results of scanning;
:li.resolve IP host names;
:li.resolve SMB names for TCPBEUI protocol;
:li.create file RFCNAMES.LST;
:li.discover network card manufacturers;
:li.check current status of LAN nodes;
:li.execute user's procedure after scanning.
:eul.

.**********************************************************

:h2 res=110.Usage

:p.
:hp2.Buttons usage&colon.:ehp2.

:dl break=all tsize=3.
:dt.:hp2.Run:ehp2.
:dd.Rescan TCP/IP network.
:dt.:hp2.Break:ehp2.
:dd.Stop the scanning.
:dt.:hp2.Options:ehp2.
:dd.Set options.
:dt.:hp2.ARP options:ehp2.
:dd.Set options for scanning by issuing ARP Request packets.
:dt.:hp2.PING options:ehp2.
:dd.Set options for scanning by issuing PING packets.
:dt.:hp2.Font:ehp2.
:dd.Select font for window.
:dt.:hp2.Help:ehp2.
:dd.Display this help.
:dt.:hp2.About:ehp2.
:dd.Display About information.
:edl.

:p.
You can start :hp2.Finger:ehp2., :hp2.PortScan:ehp2. or :hp2.WhoIs:ehp2.
program for the selected node by clicking the right mouse button.

:p.
After scanning results save into :hp2.IPscan.Log:ehp2. file and the procedure
:hp2.IPscanP.cmd:ehp2..

.**********************************************************

:h2 res=120.Setting

:hp2.
.ce ARP options
:ehp2.

:p.
It's enough to enter your home IP address into field :hp2.Own IP address:ehp2.
for scanning all addresses in your network.

:p.
Button :hp2.Interface:ehp2. is for convinient purpose only. The result is the
same, as you enter home IP address into field :hp2.Own IP address:ehp2..

:p.
Fields :hp2.Address ranges(s):ehp2. are intended for decreasing the number
of addresses for scanning.

:p.
Option :hp2.Resolve SMB names:ehp2. specifies if :hp2.IPscan:ehp2. should
discover SMB names.

:p.
:hp2.
.ce Ping options
:ehp2.

:p.
First and last IP addresses are written into fields :hp2.from:ehp2. and
:hp2.to:ehp2..

:p.
Option :hp2.Resolve SMB names:ehp2. specifies if :hp2.IPscan:ehp2. should
discover SMB names.

:p.
:hp2.
.ce Options
:ehp2.

:dl break=all tsize=3.
:dt.:hp2.Resolve hostnames:ehp2.
:dd.Translate IP address into host name.
:dt.:hp2.ARP timeout:ehp2.
:dd.Timeout value for ARP Request.
:dt.:hp2.TCPBEUI timeout:ehp2.
:dd.Timeout value for TCPBEUI packets.
:dt.:hp2.Ping timeout:ehp2.
:dd.Timeout value for PING packets.
:dt.:hp2.Rescan every:ehp2.
:dd.Repeat scanning after time interval.
:dt.:hp2.Node status based on:ehp2.
:dd.The base to check a status of LAN nodes. Select
:lm margin=10.
.br
:hp2.previous scan result:ehp2. - result of previous scanning,
.br
:hp2.IPscan.Map file:ehp2. - content of IPscan.Map file or
.br
:hp2.ARP cache:ehp2. - content of ARP cache.
:lm margin=1.
:edl.

:note text='Note:'.
options became active for ordinary scanning.

:euserdoc.
